org.apache.ignite.dump

## Class DumpReaderConfiguration

- java.lang.Object
- - org.apache.ignite.dump.DumpReaderConfiguration

-     public class DumpReaderConfiguration
      extends Object

  Configuration class of `DumpReader`.
  See Also:
    `DumpReader`, `DumpConsumer`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DFLT_THREAD_CNT` Default thread count.
    `static Duration` | `DFLT_TIMEOUT` Default timeout.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DumpReaderConfiguration(File dir, DumpConsumer cnsmr)`
    `DumpReaderConfiguration(File dir, DumpConsumer cnsmr, int thCnt, Duration timeout, boolean failFast, boolean keepBinary, String[] cacheGroupNames, boolean skipCopies, EncryptionSpi encSpi)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `cacheGroupNames()`
    `DumpConsumer` | `consumer()`
    `File` | `dumpRoot()`
    `EncryptionSpi` | `encryptionSpi()`
    `boolean` | `failFast()`
    `boolean` | `keepBinary()`
    `boolean` | `skipCopies()`
    `int` | `threadCount()`
    `Duration` | `timeout()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DFLT_TIMEOUT

          public static final Duration DFLT_TIMEOUT

      Default timeout.

    - #### DFLT_THREAD_CNT

          public static final int DFLT_THREAD_CNT

      Default thread count.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DumpReaderConfiguration

          public DumpReaderConfiguration(File dir,
                                         DumpConsumer cnsmr)

      Parameters:
        `dir` - Root dump directory.
        `cnsmr` - Dump consumer.

    - #### DumpReaderConfiguration

          public DumpReaderConfiguration(File dir,
                                         DumpConsumer cnsmr,
                                         int thCnt,
                                         Duration timeout,
                                         boolean failFast,
                                         boolean keepBinary,
                                         String[] cacheGroupNames,
                                         boolean skipCopies,
                                         EncryptionSpi encSpi)

      Parameters:
        `dir` - Root dump directory.
        `cnsmr` - Dump consumer.
        `thCnt` - Count of threads to consume dumped partitions.
        `timeout` - Timeout of dump reader invocation.
        `failFast` - Stop processing partitions if consumer fail to process one.
        `keepBinary` - If `true` then don't deserialize `KeyCacheObject` and `CacheObject`.
        `cacheGroupNames` - Cache group names.
        `skipCopies` - Skip copies.
        `encSpi` - Encryption SPI.

  - ### Method Detail

    - #### dumpRoot

          public File dumpRoot()

      Returns:
        Root dump directiory.

    - #### consumer

          public DumpConsumer consumer()

      Returns:
        Dump consumer instance.

    - #### threadCount

          public int threadCount()

      Returns:
        Count of threads to consume dumped partitions.

    - #### timeout

          public Duration timeout()

      Returns:
        Timeout of dump reader invocation.

    - #### failFast

          public boolean failFast()

      Returns:
        `True` if stop processing after first consumer error.

    - #### keepBinary

          public boolean keepBinary()

      Returns:
        If `true` then don't deserialize `KeyCacheObject` and `CacheObject`.

    - #### cacheGroupNames

          public String[] cacheGroupNames()

      Returns:
        Cache group names.

    - #### skipCopies

          public boolean skipCopies()

      Returns:
        Skip copies.

    - #### encryptionSpi

          public EncryptionSpi encryptionSpi()

      Returns:
        Encryption SPI

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023